package com.learningosgi.test.internal.controller;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping(value = "/exampleRequest")
public class WebServiceController {
	
	static final String MODEL = "model";
	static final String MESSAGE = "message";
	static final String EXAMPLE_JSP = "exampleJSP";
	static final String USER_NAME = "name";

	
	@RequestMapping(value = "/sayHello/")
	public ModelAndView sayHello(HttpServletRequest request) {		
		
		// Collect parameters from request
		String name = request.getParameter(USER_NAME);
		
		// Prepare model for return
		ModelAndView mv = new ModelAndView();
		Map<String, Object> myMap = new HashMap<String, Object>();
		
		myMap.put(MESSAGE, "Hello there" + (name==null?"":" " + name));			

		// Set the view that we are going to return the user to
		mv.setViewName(EXAMPLE_JSP);

		// Add our Map to the return container object
		mv.addObject(MODEL, myMap);
		
		return new ModelAndView("bookXmlView", BindingResult.MODEL_KEY_PREFIX + "books", new ArrayList <Object>());
	}
}
